﻿@page
@using Management.Entities;
@using Management.BusinessLogic;
@model Management.Pages.brand.EditModel
@{
    /* Constants */
    ViewData["Title"] = "Edit Brand";

    /* Default value */
    string sInfo = string.Empty;
    bool bFlag = false;
    Brand brand = new Brand() {};

    /* Get brand id */
    string sBrandID = Request.Query["id"];

    /* Read brand detail */
    Brand? isBrand = BUS_Brand.ReadInfo(sBrandID);

    if (null == isBrand)
    {
        sInfo = "This brand is not exists";
        bFlag = true;
    }
    else
    {
        /* Get brand */
        brand = isBrand.Value;

        if (Request.Method == "POST")
        {
            /* Set a flag to indicate the user posted the form */
            bFlag = true;

            /* Get new brand attributes */
            string sID = Request.Form["id"];
            string sName = Request.Form["name"];

            /* Returns an empty string in case the new brand is successfully added */
            sInfo = BUS_Brand.Edit(sID, sName, ref brand);
        }
    }
}

<div class="row text-start">
    <p>
        <a href="/" class="link-primary text-decoration-none">Home</a>
        >
        <a href="/brand" class="link-primary text-decoration-none">Brand</a>
        >
        <a href="/brand/edit?id=@sBrandID" class="link-primary text-decoration-none">Edit</a>
    </p>
</div>
<div class="border border-secondary rounded px-3 mb-3">
    <div class="row pt-2">
        <p class="col-sm-6 text-start fw-bold">Brand attributes</p>
        @if (bFlag)
        {
            if (string.IsNullOrEmpty(sInfo))
            {
                <p class="col-sm-6 text-end text-success fw-bold">Edited brand successfully</p>
            }
            else
            {
                <p class="col-sm-6 text-end text-danger fw-bold">@sInfo</p>
            }
        }
    </div>

    <form class="row g-3 mb-2" method="post">
        <div class="col-md-4">
            <label for="id" class="form-label">Brand ID</label>
            <input class="form-control" type="text" id="id" name="id" value="@brand.ID" placeholder="Brand ID" maxlength="30" required>
        </div>
        <div class="col-md-4">
            <label for="name" class="form-label">Brand Name</label>
            <input class="form-control" type="text" id="name" name="name" value="@brand.Name" placeholder="Brand Name" maxlength="30" required>
        </div>
        <div class="col-md-4 d-sm-flex align-items-end justify-content-end pb-1">
            <input class="btn btn-sm btn-warning text-light" type="submit" value="Edit">
        </div>
    </form>
</div>

<div class="border border-secondary rounded px-3 mb-3">
    <div class="row pt-2">
        <p class="text-start fw-bold">Current brand attributes</p>
    </div>
    <div class="text-center table_section">

        <table class="table table-bordered table-striped table-hover align-middle">
            <thead>
                <tr>
                    <th>Brand ID</th>
                    <th>Brand Name</th>
                </tr>
            </thead>

            <tbody>
                <tr>
                    <td>@brand.ID</td>
                    <td>@brand.Name</td>
                </tr>
            </tbody>
        </table>
    </div>
</div>
